// ZoomPropDlg.cpp: 实现文件
//

#include "pch.h"
#include "FYEDrawDemoVC.h"
#include "ZoomPropDlg.h"
#include "afxdialogex.h"


// CZoomPropDlg 对话框

IMPLEMENT_DYNAMIC(CZoomPropDlg, CDialog)

CZoomPropDlg::CZoomPropDlg(CWnd* pParent /*=nullptr*/)
	: CDialog(IDD_DIALOG_PZOOM, pParent)
	, m_fZoom(0)
	, m_fZoomFactor(0)
{

}

CZoomPropDlg::~CZoomPropDlg()
{
}

void CZoomPropDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT_PROP_ZOOM, m_fZoom);
	DDX_Text(pDX, IDC_EDIT_PROP_FACTOR, m_fZoomFactor);
}


BEGIN_MESSAGE_MAP(CZoomPropDlg, CDialog)
	ON_BN_CLICKED(IDOK, &CZoomPropDlg::OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, &CZoomPropDlg::OnBnClickedCancel)
END_MESSAGE_MAP()


// CZoomPropDlg 消息处理程序


void CZoomPropDlg::OnBnClickedOk()
{
	// TODO: 在此添加控件通知处理程序代码
	CDialog::OnOK();
}


void CZoomPropDlg::OnBnClickedCancel()
{
	// TODO: 在此添加控件通知处理程序代码
	CDialog::OnCancel();
}
